WESNOTH(6)

NAZWA
wesnoth - Bitwa o Wesnoth, turowa strategia w klimatach fantasy

SKŁADNIA
wesnoth [OPCJE] [SCIEZKA_DO_DANYCH]

OPIS
Battle for Wesnoth jest turową strategią w klimatach fantasy. Pokonaj wszystkich wrogich przywódców z pomocą odpowiednio dobranej grupy żołnierzy, dbając również o zarządzanie zasobami złota oraz wioskami. Wszystkie jednostki posiadają charakterystyczne zalety i słabości. Aby wygrać, wykorzystuj zalety swoich jednostek, ustawiając je na najlepszych pozycjach i nie pozwól, by twój przeciwnik uczynił to samo. Zdobywając doświadczenie, jednostki uczą się nowych umiejętności i stają się coraz potężniejsze. Graj w Wesnoth we własnym języku i przetestuj swoje umiejętności w rozgrywce przeciwko sprytnemu, komputerowemu przeciwnikowi lub przyłącz się do wielkiej sieciowej społeczności graczy Wesnoth. Twórz własne jednostki, scenariusze lub kampanie i udostępniaj je innym graczom.

OPCJE

--bpp liczba
    ustawia liczbę bitów na piksel. Przykład: --bpp 32

-c, --campaign  [<id_kampanii>]
    przechodzi bezpośrednio do kampanii o identyfikatorze <id_kampanii>. Jeśli identyfikator nie zostanie podany, zostanie wyświetlone menu wyboru. Uwaga: używając tej opcji, należy koniecznie podać ścieżkę do katalogu danych jako ostatni argument — w przeciwnym razie gra uzna identyfikator kampanii lub scenariusza za katalog danych.

--campaign-difficulty [<difficulty>]
    Poziom trudności wskazanej kampanii (od 1 do wartości maksymalnej). Jeśli wartość nie zostanie podana, zostanie wyświetlone okno wyboru poziomu trudności kampanii.

--campaign-scenario <id_scenariusza>
    Identyfikator scenariusza ze wskazanej kampanii. Domyślnie wczytywany jest pierwszy scenariusz.

--data-dir <katalog>
    używa podanego katalogu danych zamiast domyślnego.

--data-path
    path the path of the data directory and exits.

-d, --debug
    aktywuje dodatkowe opcje trybu poleceń w grze (więcej informacji o trybie poleceń można znaleźć na stronie http://www.wesnoth.org/wiki/CommandMode).

-e, --editor plik
    bezpośrednio uruchamia wbudowany edytor map. Jeśli podano parametr plik, działanie opcji jest równoważne -l --load

--fps
    wyświetla bieżącą liczbę klatek na sekundę w rogu ekranu.

-f, --fullscreen
    uruchamia grę w trybie pełnoekranowym.

--gunzip plikwejsciowy.gz
    dekompresuje plik zapisanej gry w formacie gzip i zapisuje go bez rozszerzenia .gz. Pierwotny plik (plikwejsciowy.gz) jest usuwany.

--gzip plikwejsciowy
    kompresuje plik zapisanej gry do archiwum gzip (plikwejsciowy.gz) i usuwa pierwotny plik (plikwejsciowy).

-h, --help
    wyświetla podsumowanie opcji wiersza poleceń na standardowym wyjściu i kończy działanie.

-l, --load file
    ładuje plik zapisu gry plik z domyślnego katalogu zapisanych gier. Jeśli dodatkowo podano opcję -e lub --editor, zostanie uruchomiony edytor z załadowaną mapą z pliku plik. Jeśli wskazano katalog, po uruchomieniu edytora zostanie wyświetlone okno dialogowe ładowania mapy z zawartością tego katalogu.

--log-poziom=domena1,domena2,...
    określa poziom istotności domen debugowania. all oznacza dopasowanie wszystkich domen debugowania. Dostępne poziomy: error (błędy), warning (ostrzeżenia), info (informacje), debug (debugowanie). Poziom domyślny to error (błędy).

--logdomains [filtr]
    wypisuje zdefiniowane domeny debugowania (jeśli podano wartość parametru filter — tylko domeny zawierające tę wartość) i kończy pracę.

--max-fps
    liczba klatek na sekundę wyświetlanych przez grę. Wartość ta powinna zawierać się między 1 a 1000, przy czym domyślna wartość to 50.

-m, --multiplayer
    uruchamia grę wieloosobową. Wraz z przełącznikiem --multiplayer można używać objaśnionych poniżej opcji dodatkowych. Są to jedyne opcje dozwolone w połączeniu z --multiplayer.

--no-delay
    uruchamia grę bez opóźnień na wykonanie testów wydajności grafiki. Ta opcja jest domyślnie włączana przez przełącznik --nogui.

--nocache
    wyłącza buforowanie danych gry.

--nomusic
    uruchamia grę bez muzyki.

--nosound
    uruchamia grę bez dźwięków i muzyki.

--path
    wyświetla nazwę katalogu z danymi gry i kończy działanie.

-p, --preprocess <source file/folder> <target directory>
    preprocesses a specified file/folder. For each file(s) a plain .cfg file and a processed .cfg file will be written in specified target directory. If a folder is specified, it will be preprocessed recursively based on the known preprocessor rules. The common macroses from the "data/core/macros" directory will be preprocessed before the specified resources. Example: -p ~/wesnoth/data/campaigns/tutorial ~/result. For details regarding the preprocessor visit: http://wiki.wesnoth.org/PreprocessorRef#Command-line_preprocessor

--preprocess-defines=DEFINE1,DEFINE2,etc
    comma separated list of defines to be used by the '--preprocess' command. If SKIP_CORE is in the define list the "data/core" directory won't be preprocessed.

--preprocess-input-macros <plik źródłowy>
    używane tylko przez polecenie --preprocess. Określa plik zawierający bloki [preproc_define], które mają być dołączone przed przetworzeniem wstępnym.

--preprocess-output-macros [<plik docelowy>]
    używane tylko przez polecenie --preprocess. Wypisuje do pliku docelowego wszystkie wstępnie przetworzone makra. Jeśli plik nie zostanie określony, dane wyjściowe zostaną umieszczone w pliku „_MACROS_.cfg” w katalogu docelowym polecenia --preprocess. Opcję należy podać przed poleceniem --preprocess.

-r XxY, --resolution XxY
    ustawia rozdzielczość ekranu gry. Przykład: -r 800x600

-s, --server [host]
    nawiązuje połączenie z podanym hostem lub (jeśli host nie został podany) z pierwszym serwerem określonym w preferencjach. Przykład: --server server.wesnoth.org

--username<username>
    uses <username> when connecting to a server, ignoring other preferences.

--password<password>
    uses <password> when connecting to a server, ignoring other preferences. Unsafe.

--strict-validation
    błędy sprawdzenie poprawności są traktowane jako błędy krytyczne.

-t, --test
    uruchamia grę z małym scenariuszem testowym.

--userconfig-dir name
    sets the user configuration directory to name under $HOME or "My Documents\My Games" for windows. You can also specify an absolute path for the configuration directory outside the $HOME or "My Documents\My Games". Under X11 this defaults to $XDG_CONFIG_HOME or $HOME/.config/wesnoth, on other systems to the userdata path.

--userconfig-path
    wyświetla ścieżkę katalogu konfiguracyjnego użytkownika i kończy działanie.

--userdata-dir name
    sets the userdata directory to name under $HOME or "My Documents\My Games" for windows. You can also specify an absolute path for the userdata directory outside the $HOME or "My Documents\My Games".

--userdata-path
    prints the path of the userdata directory and exits.

--validcache
    przyjmuje, że zawartość pamięci podręcznej jest poprawna (niebezpieczne).

-v, --version
    wyświetla numer wersji i kończy działanie.

-w, --windowed
    uruchamia grę w oknie.

--with-replay
    odtwarza powtórkę gry wczytanej za pomocą opcji --load.

Opcje dla flagi --multiplayer
Opcje dostępne dla danej strony gry wieloosobowej są oznaczone przez numer. numer powinien zostać zastąpiony przez numer danej strony. Zazwyczaj jest to 1 lub 2, ale zależy to od maksymalnej liczby graczy w danym scenariuszu.

--ai_confignumer=wartość
    wybiera plik konfiguracyjny, który zostanie załadowany dla kontrolera AI tej strony.

--algorithmnumer=wartość
    pozwala wybrać niestandardowy algorytm, z którego ma korzystać AI kontrolujące daną stronę. Dostępne wartości: idle_ai i sample_ai..

--controllernumer=wartość
    pozwala ustalić typ gracza kontrolującego daną stronę. Dostępne wartości: human i ai.

--era=wartość
    tej opcji należy użyć, aby zagrać w wybranej erze zamiast w erze domyślnej (Default). Ery wybierane są na podstawie identyfikatora i są opisane w pliku data/multiplayer/eras.cfg.

--exit-at-end
    kończy działanie programu po zakończeniu scenariusza, bez wyświetlania tabeli zwycięstwa/porażki, która wymaga kliknięcia OK przez użytkownika. Opcja ta jest również stosowana do testowania za pomocą skryptów.

--ignore-map-settings
    do not use map settings, use default values instead.

--multiplayer-repeat=value
    repeats a multiplayer game value times. Best to use with --nogui for scriptable benchmarking.

--nogui
    uruchamia grę bez graficznego interfejsu użytkownika (GUI). Aby osiągnać planowany rezultat, należy użyć tej flagi przed opcją --multiplayer.

--parmnumer=nazwa:wartość
    ustawia dodatkowe parametry dla bieżącej strony. Wartość ta jest zależna od opcji użytych z flagami --controller i --algorithm.. Z reguły przydatne jedynie dla osób tworzących własne AI. (Dokumentacja niekompletna)

--scenario=wartość
    wybiera scenariusz gry wieloosobowej według identyfikatora. Domyślnym scenariuszem jest multiplayer_The_Freelands.

--sidenumer=wartość
    wybiera dla danej strony frakcję dostępną w bieżącej erze. Frakcja wybierana jest za pomocą identyfikatora. Frakcje opisane są w pliku data/multiplayer.cfg.

--turns=wartość
    określa maksymalną liczbę tur dla danego scenariusza. Wartość domyślna to 50.

KOD WYJŚCIA
Prawidłowy kod wyjścia to 0. Kod wyjścia równy 1 oznacza błąd inicjalizacji (SDL, grafika, czcionki itp.). Kod wyjścia 2 sygnalizuje nieprawidłowe opcje wiersza poleceń.

AUTOR
Autor: David White <davidnwhite@verizon.net>.
Redakcja: Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> i Soliton <soliton.de@gmail.com>.
Autorem pierwotnej wersji niniejszej strony podręcznika man jest Cyril Bouthors <cyril@bouthors.org>.
Odwiedź oficjalną stronę WWW: http://www.wesnoth.org/

PRAWA AUTORSKIE
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Oprogramowanie typu Free Software. Oprogramowanie oparte na licencji GPL wersja 2 opublikowanej przez Free Software Foundation. Nie udziela się ŻADNEJ gwarancji, łącznie z RĘKOJMIĄ oraz GWARANCJĄ PRZYDATNOŚCI DO OKREŚLONEGO CELU.

ZOBACZ TAKŻE
wesnothd(6).